Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059687 - EINVAL errors for write, when there are write stalls before and a lookup post a rebalance of the file
Summary: EINVAL errors for write, when there are write stalls before and a lookup post...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Nithya Balachandran
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1035040 1286150 1367266 1367285
TreeView+ depends on / blocked
 
Reported: 2014-01-30 11:10 UTC by Shyamsundar
Modified: 2016-08-16 06:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When rebalance is migrating a file, write or read operations on that file gets an EINVAL error on the operation. Workaround: Retry the write or read operation or close and reopen the file descriptor to alleviate the situation.
Clone Of: 1054782
: 1286150 (view as bug list)
Environment:
Last Closed: 2015-11-27 12:04:23 UTC


Attachments (Terms of Use)

Comment 2 Shalaka 2014-01-31 06:09:12 UTC
Please add doc text for this known issue.

Comment 3 Shalaka 2014-02-19 10:13:26 UTC
Edited the doc text.

Comment 4 Shyamsundar 2014-02-20 05:09:40 UTC
Doc text looks good.

Comment 8 Susant Kumar Palai 2015-11-27 12:04:23 UTC
Cloning this to 3.1. To be fixed in future release.


Note You need to log in before you can comment on or make changes to this bug.